> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve a brand card (no persistence)



## OpenAPI

````yaml /openapi/buyer.yaml post /api/v2/buyer/brands/resolve
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
paths:
  /api/v2/buyer/brands/resolve:
    post:
      tags:
        - Advertisers
      summary: Resolve a brand card (no persistence)
      operationId: postBuyerBrandsResolve
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domain:
                  type: string
                  minLength: 3
              required:
                - domain
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          resolved:
                            type: boolean
                          domain:
                            type: string
                          brandName:
                            type:
                              - string
                              - 'null'
                          logoUrl:
                            type:
                              - string
                              - 'null'
                          logoBackground:
                            type:
                              - string
                              - 'null'
                          industry:
                            type:
                              - string
                              - 'null'
                          tagline:
                            type:
                              - string
                              - 'null'
                          colors:
                            type: array
                            items:
                              type: string
                          manifestUrl:
                            type:
                              - string
                              - 'null'
                          authorizedOperators:
                            type: array
                            items:
                              type: string
                          houseBrand:
                            type:
                              - string
                              - 'null'
                          warning:
                            type:
                              - string
                              - 'null'
                          error:
                            type:
                              - string
                              - 'null'
                        required:
                          - resolved
                          - domain
                          - brandName
                          - logoUrl
                          - logoBackground
                          - industry
                          - tagline
                          - colors
                          - manifestUrl
                          - authorizedOperators
                          - houseBrand
                          - warning
                          - error
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````